/*
  Main style entry
*/

/* App component */
.ms_app_container##{$__APP_NAME__}-app-component {

  /* Tab content: Feeds */
  #feeds-tab-content {

    .refresh-button,
    .feeds-tab-filters-container {
      display: inline-block;
    }

    .refresh-button {
      padding-right: $ms-padding-s;
      margin-right: $ms-margin-s;
      border-right: 2px solid $__THEME_SECONDARY_COLOR__;
      color: grey;
      cursor: pointer;
      transition: all ease 400ms;
      span {
        padding-bottom: 2px;
        border-bottom: 1px solid transparent;
        transition: all ease 400ms;
      }
      .fa-icon {
        margin-right: 4px;
        margin-top: -2px;
      }
      &:hover {
        color: $__THEME_LIGHT_COLOR__;
        span {
          border-color: inherit;
        }
      }
    }

    .feeds-tab-filters-container {
      p {
        .feeds-tab-category-filter {
          text-align: center;
          clear: both;
          border-radius: 3px;
          cursor: pointer;
          background-color: transparent;
          transition: all ease 400ms;
          &.current-filter {
            background-color: $__THEME_TERTIARY_COLOR__;
          }
        }
      }
    }

    .category-title {
      position: relative;
      .action-buttons {
        position: absolute;
        top: 0;
        right: 0;
        .edit-button,
        .add-source-button,
        .list-sources-button {
          margin-right: 8px;
          margin-top: 8px;
          opacity: 0.4;
          cursor: pointer;
          transition: all ease 400ms;
          &:hover {
            opacity: 1;
          }
        }
      }
    }

  }

  /* Tab content: Options */
  #options-tab-content {
    .created-categories-list {
      li {
        background-color: $__THEME_SECONDARY_COLOR__;
        border-radius: 3px;
        padding: $ms-padding-xs $ms-padding-s;
        transition: all ease 400ms;
        p {
          margin: 0;
        }
        &:hover {
          background-color: $__THEME_TERTIARY_COLOR__;
        }
        .edit-button,
        .list-sources-button,
        .delete-button {
          color: grey;
          display: inline-block;
          margin-left: $ms-margin-s;
          cursor: pointer;
          transition: all ease 400ms;
          span {
            padding-bottom: 2px;
            border-bottom: 1px solid transparent;
            transition: all ease 400ms;
          }
          .fa-icon {
            margin-right: 4px;
            margin-top: -2px;
          }
          &:hover {
            color: $__THEME_LIGHT_COLOR__;
            span {
              border-color: inherit;
            }
          }
        }
        .delete-button {
          &:hover {
            color: $__THEME_MS_RED_COLOR__;
            span {
              border-color: $__THEME_MS_RED_COLOR__;
            }
          }
        }
      }
    }
  }

}

/* Modals */
##{$__APP_NAME__}-create-category-modal, 
##{$__APP_NAME__}-edit-category-modal {
  .vc-slider {
    width: 100%;
    margin-bottom: 20px;
  }
  .color-picker-input {
    position: relative;
    .color-picker-input-indicator {
      position: absolute;
      top: 14px;
      left: $ms-padding-s;
      width: 30px;
      height: 14px;
      border-radius: 7px;
      background-color: white;
    }
    .ms_input {
      padding-left: 50px;
    }
  }
}

##{$__APP_NAME__}-edit-category-modal .edit-category-delete-button,
##{$__APP_NAME__}-edit-source-modal .edit-source-delete-button {
  color: $__THEME_MS_RED_COLOR__;
  margin-bottom: $ms-margin-m;
  display: inline-block;
  cursor: pointer;
  span {
    padding-bottom: 2px;
    border-bottom: 1px solid transparent;
    transition: all ease 400ms;
  }
  .fa-icon {
    margin-right: 4px;
    margin-top: -2px;
  }
  &:hover {
    span {
      border-color: $__THEME_MS_RED_COLOR__;
    }
  }
}

##{$__APP_NAME__}-list-category-sources-modal {
  .sources-list {
    li {
      background-color: $__THEME_SECONDARY_COLOR__;
      border-radius: 3px;
      padding: $ms-padding-xs $ms-padding-s;
      transition: all ease 400ms;
      p {
        margin: 0;
      }
      &:hover {
        background-color: $__THEME_TERTIARY_COLOR__;
      }
      .feed-favicon {
        width: 16px;
        height: 16px;
        margin-right: $ms-margin-xs;
      }
      .edit-button,
      .list-sources-button,
      .delete-button {
        color: grey;
        display: inline-block;
        margin-left: $ms-margin-s;
        cursor: pointer;
        transition: all ease 400ms;
        span {
          padding-bottom: 2px;
          border-bottom: 1px solid transparent;
          transition: all ease 400ms;
        }
        .fa-icon {
          margin-right: 4px;
          margin-top: -2px;
        }
        &:hover {
          color: $__THEME_LIGHT_COLOR__;
          span {
            border-color: inherit;
          }
        }
      }
      .delete-button {
        &:hover {
          color: $__THEME_MS_RED_COLOR__;
          span {
            border-color: $__THEME_MS_RED_COLOR__;
          }
        }
      }
    }
  }
}

/* Pancakes */
##{$__APP_NAME__}-MyFeedsPancake-pancake-component {
  .article-card {
    margin-bottom: $ms-margin-s;

    .article-thumbnail-container {
      border-left: 2px solid transparent;
      padding-left: 0;

      .article-thumbnail {
        border-radius: 4px;
        a {
          border-radius: 4px;
          background-color: transparent
        }
      }
    }

    .article-description {
      background-color: transparent;
      padding: 0;
      margin-left: 0;
    }

    &:hover {
      .article-thumbnail-container {
        .article-thumbnail {
          a img {
            transform: scale(1.1);
          }
          &:hover {
            .thumbnail-over-layer {
              opacity: 1;
            }
          }
        }
      }
      .article-description {
        background-color: transparent;
      }
    }
  }
}